commit:     af394fa95143745bd43bb0469cbaccfae375a438
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 18:17:34 2022 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 18:21:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af394fa9

app-shells/fish: Bump to version 3.4.1

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-shells/fish/Manifest          |   1 +
 app-shells/fish/fish-3.4.1.ebuild | 102 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/app-shells/fish/Manifest b/app-shells/fish/Manifest
index 831e89ae2a2a..b25d455e313f 100644
--- a/app-shells/fish/Manifest
+++ b/app-shells/fish/Manifest
@@ -1,2 +1,3 @@
 DIST fish-3.3.1.tar.xz 3489152 BLAKE2B 
61b2bf96526d957d3f9706df5a76d4d9b4ccf55a1ff2b7b66f1a0d5d126a220df9984551f5adb06dcedbfb5674b93c4f3d75ef991585980a29d4dd84f7697559
 SHA512 
fc50ca44fab3f2d942284d4f714150f7ccf1e49c73da36f8d4ae4a33a9b3280f98bed15848839f5d443b4274fd0ff90174bafa6a8e9a4da226dda63d7766a660
 DIST fish-3.4.0.tar.xz 3292216 BLAKE2B 
3691e5387a8392d7d43b3b0f8b893e83e246c3532684e95a19c7b2eb4ebe80bcf04aaa1b965f5c4f6d782d0ae52269bb1cdafef76845b02f9f99d4c82ea77ce3
 SHA512 
463ee8d86815520c6de9777fd2b5975f06cc0842137c86cca7ae0331e95d74e755bf6f4b0bdea7e96c11371436ff9f97ce483ae026daa1e8d385f6cad8860ed4
+DIST fish-3.4.1.tar.xz 3293068 BLAKE2B 
5edcd59445e6d928fb2183deb68fb0a305f6f80c134fef48ea79d91b79af1da6b31a1e870a9df963bb27dfc5985f326d9b6d53d64b16c79f9c303aa8edfa4423
 SHA512 
20a2892ec0c413c4c3fcfe5fbf52fb2398de35a9172758728bd2ccdccc5fb6e0e18712a664d02db67543d47180a4d04f3998a6297d23088926b6d03baefdf981

diff --git a/app-shells/fish/fish-3.4.1.ebuild 
b/app-shells/fish/fish-3.4.1.ebuild
new file mode 100644
index 000000000000..45bc18a52822
--- /dev/null
+++ b/app-shells/fish/fish-3.4.1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake python-any-r1 readme.gentoo-r1
+
+DESCRIPTION="Friendly Interactive SHell"
+HOMEPAGE="http://fishshell.com/";
+
+MY_PV="${PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/${PN}-shell/${PN}-shell.git";
+else
+       
SRC_URI="https://github.com/${PN}-shell/${PN}-shell/releases/download/${MY_PV}/${MY_P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+doc nls test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/libpcre2-10.32:=[pcre32]
+       sys-apps/coreutils
+       sys-libs/ncurses:=[unicode(+)]
+"
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       test? (
+               ${PYTHON_DEPS}
+               dev-tcltk/expect
+               $(python_gen_any_dep '
+                       dev-python/pexpect[${PYTHON_USEDEP}]
+               ')
+       )
+"
+# we don't need shpinx dep for release tarballs
+[[ ${PV} == 9999 ]] && DEPEND+=" doc? ( dev-python/sphinx )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_check_deps() {
+       use test || return 0
+       has_version -d "dev-python/pexpect[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+       # workaround for https://github.com/fish-shell/fish-shell/issues/4883
+       sed -i 
's#${TEST_INSTALL_DIR}/${CMAKE_INSTALL_PREFIX}#${TEST_INSTALL_DIR}#' \
+               cmake/Tests.cmake || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_BINDIR="${EPREFIX}/bin"
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+               -DCURSES_NEED_NCURSES=ON
+               -DINSTALL_DOCS="$(usex doc)"
+               -DWITH_GETTEXT="$(usex nls)"
+       )
+       # release tarballs ship pre-built docs // -DHAVE_PREBUILT_DOCS=TRUE
+       if [[ ${PV} == 9999 ]]; then
+               mycmakeargs+=( -DBUILD_DOCS="$(usex doc)" )
+       else
+               mycmakeargs+=( -DBUILD_DOCS=OFF )
+       fi
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       keepdir /usr/share/fish/vendor_{completions,conf,functions}.d
+       readme.gentoo_create_doc
+}
+
+src_test() {
+       # some tests are fragile, sanitize environment
+       local -x COLUMNS=80
+       local -x LINES=24
+
+       # very fragile, depends on terminal, size, tmux, screen and timing
+       if [[ ${PV} != 9999 ]]; then
+               rm -v tests/pexpects/terminal.py || die
+       fi
+
+       cmake_build test
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to